net.minecraft.command

## Class PlayerSelector

- java.lang.Object
- - net.minecraft.command.PlayerSelector

-     public class PlayerSelector
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayerSelector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IChatComponent` | `func_150869_b(ICommandSender p_150869_0_, java.lang.String p_150869_1_)`
    `static java.util.Map` | `func_96560_a(java.util.Map par0Map)`
    `static boolean` | `hasArguments(java.lang.String par0Str)`
    `static boolean` | `hasTheseArguments(java.lang.String par0Str, java.lang.String par1Str)`
    `static boolean` | `matchesMultiplePlayers(java.lang.String par0Str)`
    `static EntityPlayerMP` | `matchOnePlayer(ICommandSender par0ICommandSender, java.lang.String par1Str)`
    `static EntityPlayerMP[]` | `matchPlayers(ICommandSender par0ICommandSender, java.lang.String par1Str)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlayerSelector

          public PlayerSelector()

  - ### Method Detail

    - #### matchOnePlayer

          public static EntityPlayerMP matchOnePlayer(ICommandSender par0ICommandSender,
                                      java.lang.String par1Str)

    - #### func_150869_b

          public static IChatComponent func_150869_b(ICommandSender p_150869_0_,
                                     java.lang.String p_150869_1_)

    - #### matchPlayers

          public static EntityPlayerMP[] matchPlayers(ICommandSender par0ICommandSender,
                                      java.lang.String par1Str)

    - #### func_96560_a

          public static java.util.Map func_96560_a(java.util.Map par0Map)

    - #### matchesMultiplePlayers

          public static boolean matchesMultiplePlayers(java.lang.String par0Str)

    - #### hasTheseArguments

          public static boolean hasTheseArguments(java.lang.String par0Str,
                                  java.lang.String par1Str)

    - #### hasArguments

          public static boolean hasArguments(java.lang.String par0Str)